@echo off

:: Explain purpose of script to user
echo Will upload firmware hex file + temperature factor files
echo WARNING: Overwrites your current firmware in your ECU
echo Read the README.TXT file for correct procedure.
echo.
echo Usage: tempsensor_upload.bat air-ohm clt-ohm aref
echo.
echo Press Ctrl-C to abort
echo ------------------------------------------------------------------
pause

if not exist Tools\ntc_airX_cltfactor\airXfactor_%1_%3.hex goto missing
if not exist Tools\ntc_airX_cltfactor\cltfactor_%2_%3.hex goto missing

type Tools\ntc_airX_cltfactor\airXfactor_%1_%3.hex > temppatch.hex
type Tools\ntc_airX_cltfactor\cltfactor_%2_%3.hex >> temppatch.hex

if not exist firmware\vems%4.hex goto firmware

if exist firmware\upload.hex del firmware\upload.hex
Tools\ntc_airX_cltfactor\hexpatch.exe firmware\vems%4.hex < temppatch.hex > firmware\upload.hex
del temppatch.hex

Tools\megaloader.exe firmware\upload.hex -c %COMPORT% -wtE 38400 
goto end

:firmware
echo Missing firmware file : firmware\vems%4.hex
goto failed

:missing
echo No matching temperature correction files, check parameters and files.

:failed
echo Patch Failed.

:end
pause

